package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author yyn
 * @Date 2020/8/4
 * @Description TODO
 */
//行政处罚
case class company_punishment_info() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = new_map("punish_number")

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String = null): String = {
    s"""决定日期:$new_map("decision_date")\n
       |违法行为类型：$new_map("type")\n
       |行政处罚内容：$new_map("content")\n""".stripMargin
  }

  /**
   * 变更时间
   *
   * @param new_map
   * @return
   */
//  override def get_change_time(new_map: Map[String, String]): String = new_map("biz_date")

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "警示信息"
}